/* plucker.h
 *
 * Copyright (C) 2003 by Jason Day
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __PLUCKER_H__
#define __PLUCKER_H__

#include <gtk/gtk.h>

#include "config.h"

#define MAX_DBNAME                 34  /* I got this number from struct DBInfo */
#define PLUCKER_DIR_NAME            "plucker"

#define SECONDS_PER_DAY     (60 * 60 * 24)
#define SECONDS_PER_WEEK    (SECONDS_PER_DAY * 7)
#define SECONDS_PER_MONTH   (SECONDS_PER_DAY * 30)


/* button id constants */
/* Sync when button constants */
#define EVERY_SYNC_BUTTON              100
#define HOURLY_BUTTON                  101
#define MORNING_AND_AFTERNOON_BUTTON   102
#define DAILY_BUTTON                   103
#define MANUAL_BUTTON                  104


int run_distiller (const char *cmd, gboolean block);
int run_distiller_in_term (const char *terminal_cmd, const char *cmd, gboolean block);
FILE *my_popen (const char *cmd);
gboolean should_run_distiller (void);


#endif /* __PLUCKER_H__ */
