/* pprefs.h
 *
 * Copyright (C) 2003 by Jason Day
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __PPREFS_H__
#define __PPREFS_H__

/* preferences constants */
#define PREFS_FILE "plucker.rc"

#define SYNC_WHEN     0
#define DISTILLER_CMD 1
#define USE_TERM      2
#define TERM_CMD      3
#define LAST_SYNC     4
#define INSTALL_DIR   5

/* Sync when constants */
#define EVERY_SYNC            20
#define HOURLY                21
#define MORNING_AND_AFTERNOON 22
#define DAILY                 23
#define MANUAL                24

void plucker_prefs_init (void);
int plucker_get_pref (int which, long *n, const char **string);
int plucker_set_pref (int which, long n, const char *string);
int plucker_load_prefs (void);
int plucker_save_prefs (void);
void plucker_free_prefs (void);

#endif /* __PPREFS_H__ */
